Searches for AD Objects in both Production and Snapshot AD from given search base dn and offset.

Privileges: RESTORE_VIEW

Returns the list of AD Objects along with status whether they are missing in
Production AD, equal or not equal.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int64
required

Specifies the restoreTaskId corresponding to which we need to search
AD objects.

uint32

Specifies the number of AD Objects to be fetched.

string

Specifies the search base distinguished name from where the search
should begin in the hierarchy of the AD in both Production
and Snapshot AD.

boolean

Specifies the search scope for the request.
If subtree search scope is true all the children of Search Base DN
are returned from given offset. If subtree search scope is false
only all objects which are one level from the Search Base DN are returned.

boolean

Specifies the option to compare the properties from Snapshot AD and
Production AD if specifed and sets kNotEqual flag in the result when
there is mismatch.

boolean

Specifies the option to exclude the system attributes while comparing the
the objects from the Production AD and Snapshot AD.

string

Specifies the filter which can be used for searching the AD Objects from
given Search Base DN.
There are two types of filters supported. They are:

  1. If the string does not contain LDAP delimiters '(' and ')', then it is
    assumed to be ANR search "(anr=<ldap_filter>)"
    Eg: "a" will result in query to return all ANR fields with "a" characters
    (case insensitive) in them
  2. Search with OR and AND combination:
    "(|(&(objectClass=user)(distinguishedName=CN=Jone
    Doe,OU=Users,DC=corp,DC=cohesity,DC=com))(&(objectClass=user)
    (sAMAccountName=jdoe)))"
uint32

Specifies the offset from which AD objects should be searched in both
the Snapshot and Production AD.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json